Re: [cf-bosh] cf-services-contrib does not support cf v2


Dieu Cao <dcao@...>
 

Yes, we plan to fully remove support for v1 service brokers at the end of
the year.

On Mon, Oct 19, 2015 at 6:11 PM, Marco Nicosia <mnicosia(a)pivotal.io> wrote:

Hi Remi,

[I'm moving your post to cf-dev, and BCC'ing cf-bosh. The people you want
to reach are more likely hanging out on cf-dev.]

I just checked with Shannon, who was PM for services and harkens way back
to the VMWare days of Cloud Foundry. He confirmed that they only support
the v1 services API.

cf-services-contrib-release was the initial set of five services that
VMware had sponsored. They were deprecated and contributed to the community
some time back.

It looks like Ruben Koster has been gamely maintaining it for some time.

I believe that Dieu's proposal to remove support for v1 service brokers
would kill cf-services-contrib-release dead:

https://lists.cloudfoundry.org/archives/list/cf-dev(a)lists.cloudfoundry.org/thread/BYNVNVTOI3PGCEP6MHF3A5EYY5UGMLL5/#TEKDER3QZXUNKTFFFWKQQGWWQREPHP43

--
Marco Nicosia
Product Manager
Pivotal Software, Inc.
mnicosia(a)pivotal.io
c: 650-796-2948


On Mon, Oct 19, 2015 at 2:14 AM, Remi Tassing <tassingremi(a)gmail.com>
wrote:

Hi,
After managing to deploy cf and cf-services-contrib, I noticed issuing
the command "cf create-service-auth-token <label> core <token>" does not
throw any error but "cf marketplace" does not show any update. Most
importantly creating the service fails.

After connecting the dots, I believe cf-services-contrib is based on v1
and is not compliant with v2. Could anyone confirm?

If this is true then the wiki/README should be updated.

Remi

Join cf-dev@lists.cloudfoundry.org to automatically receive all group messages.